---
lang: en
title: 'API docs: rest.httphandler._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.httphandler._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [HttpHandler](./rest.httphandler.md) &gt; [(constructor)](./rest.httphandler._constructor_.md)

## HttpHandler.(constructor)

Constructs a new instance of the `HttpHandler` class

**Signature:**

```typescript
constructor(_rootContext: Context, _serverConfig: RestServerResolvedConfig, _routes?: RoutingTable);
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

\_rootContext


</td><td>

[Context](./context.context.md)


</td><td>


</td></tr>
<tr><td>

\_serverConfig


</td><td>

[RestServerResolvedConfig](./rest.restserverresolvedconfig.md)


</td><td>


</td></tr>
<tr><td>

\_routes


</td><td>

[RoutingTable](./rest.routingtable.md)


</td><td>

_(Optional)_


</td></tr>
</tbody></table>


